Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ISSearch
Interface ISDBCrawlerInterface

All Superinterfaces:
  ISCrawlerInterface, java.lang.Runnable

All Known Implementing Classes:
  ISDBCrawler

    public interface ISDBCrawlerInterface

extends ISCrawlerInterface

Interface of the main Crawler class of the Web search engine. This class is used to start and stop the Crawler, to reset the engine and to control crawling parameters. Additionally, it provides the functionality to store crawled documents into the database using the built-in database interface block.

Field Summary

Fields inherited from interface ISSearch.ISCrawlerInterface
`RUNNING, STOPPED`

Method Summary
`void` | `closeDB()` Closes the database connection of the built-in database interface.
`ISDBinterface` | `getDBInterface()` Returns the built-in database interface of the crawler
`boolean` | `openDB()` Initializes the internal database interface and opens its database connection
`boolean` | `store(java.net.URL link, ISDocumentInterface doc)` Stores the crawled document and its URL into the database

Methods inherited from interface ISSearch.ISCrawlerInterface
`addLink, getBest, getContentType, getCrawlingDepth, getCurrentDocument, getCurrentURL, getMaxQueueSize, getNextURL, getQueueSize, getState, getTimeout, isDataStructureEmpty, isVisited, reset, robotSafe, runParser, setCrawlingDepth, setCurrentDocument, setQueueMaxSize, setState, setTimeout, start, stop`

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### store

    boolean store(java.net.URL link,
                  ISDocumentInterface doc)

  Stores the crawled document and its URL into the database

  Parameters:
    `link` - the URL of the crawled document
    `doc` - extracted terms and links from the document
  Returns:
    true, if the storage was successful; false otherwise.

### openDB

    boolean openDB()

  Initializes the internal database interface and opens its database connection

  Returns:
    true, if the connection to the database was successful, false otherwise.

### closeDB

    void closeDB()

  Closes the database connection of the built-in database interface.

### getDBInterface

    ISDBinterface getDBInterface()

  Returns the built-in database interface of the crawler

  Returns:
    the database interface of the crawler

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD